import React from 'react';
import { action } from '@storybook/addon-actions';
import BottomWizardBar from './BottomWizardBar';
export default {
  title: 'Molecules / Bottom Wizard Bar',
  parameters: {
    component: BottomWizardBar
  }
};
export var Default = function Default() {
  return React.createElement(BottomWizardBar, {
    isLastStep: false,
    isLoading: false,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit",
    cancelButtonLink: "https://nordnet.se/cancel",
    previousButtonLink: "https://nordnet.se/previous",
    submitButtonLink: "https://nordnet.se/submit",
    nextButtonLink: "https://nordnet.se/next"
  });
};
export var WebviewEmbedded = function WebviewEmbedded() {
  return React.createElement(BottomWizardBar, {
    isLastStep: false,
    isLoading: false,
    isEmbedded: true,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit"
  });
};
export var WebviewEmbeddedLastStepAndLoading = function WebviewEmbeddedLastStepAndLoading() {
  return React.createElement(BottomWizardBar, {
    isLastStep: true,
    isLoading: true,
    isEmbedded: true,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit"
  });
};
export var PreviousButtonHidden = function PreviousButtonHidden() {
  return React.createElement(BottomWizardBar, {
    isLastStep: false,
    isLoading: false,
    isEmbedded: false,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit",
    hidePreviousButton: true
  });
};
export var PreviousButtonHiddenEmbedded = function PreviousButtonHiddenEmbedded() {
  return React.createElement(BottomWizardBar, {
    isLastStep: false,
    isLoading: false,
    isEmbedded: true,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit",
    hidePreviousButton: true
  });
};
export var LastStepAndLoading = function LastStepAndLoading() {
  return React.createElement(BottomWizardBar, {
    isLastStep: true,
    isLoading: true,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit"
  });
};
export var DisabledNextButton = function DisabledNextButton() {
  return React.createElement(BottomWizardBar, {
    isNextDisabled: true,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit"
  });
};
export var DisabledSubmitButton = function DisabledSubmitButton() {
  return React.createElement(BottomWizardBar, {
    isLastStep: true,
    isSubmitDisabled: true,
    onCancel: action('cancel'),
    onNext: action('next'),
    onPrevious: action('previous'),
    onSubmit: action('submit'),
    titleText: "Title",
    cancelText: "Cancel",
    previousText: "Previous",
    nextText: "Next",
    submitText: "Submit"
  });
};